

package gov.va.med.cds.monitor;


public class TransMgrReadMethodMetrics
    extends
        AbstractMethodMetrics
    implements
        TransMgrReadMethodMetricsInterface
{

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.TransMgrReadMethodMetricsInterface#getTransMgrReadTransactions()
     */
    public long getTransMgrReadTransactions( )
    {
        return getTransactions();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.TransMgrReadMethodMetricsInterface#getTransMgrReadElapsedTime()
     */
    public long getTransMgrReadElapsedTime( )
    {
        return getElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.TransMgrReadMethodMetricsInterface#getTransMgrReadTransactionsPerSecond()
     */
    public double getTransMgrReadTransactionsPerSecond( )
    {
        return getTransactionsPerSecond();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.TransMgrReadMethodMetricsInterface#getTransMgrReadAverageElapsedTime()
     */
    public double getTransMgrReadAverageElapsedTime( )
    {
        return getAverageElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.TransMgrReadMethodMetricsInterface#getTransMgrReadMaxElapsedTime()
     */
    public long getTransMgrReadMaxElapsedTime( )
    {
        return getMaxElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.TransMgrReadMethodMetricsInterface#getTransMgrReadMinElapsedTime()
     */
    public long getTransMgrReadMinElapsedTime( )
    {
        return getMinElapsedTime();
    }
}
